Bug 1494405 (CVE-2017-14265) - CVE-2017-14265 libraw: Stack based buffer overflow in the xtrans_interpolate function
Summary: CVE-2017-14265 libraw: Stack based buffer overflow in the xtrans_interpolate ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-14265
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1492123 1492126 1494406 1499690
Blocks: 1494408
TreeView+ depends on / blocked
 
Reported: 2017-09-22 08:24 UTC by Andrej Nemec
Modified: 2019-09-29 14:22 UTC (History)
20 users (show)

Fixed In Version: libraw 0.18.3
Doc Type: If docs needed, set a value
Doc Text:
A stack buffer overflow flaw was found in the way dcraw handled processing of RAW image files. This flaw could potentially be used to crash the dcraw process by supplying it a specially crafted image file .
Clone Of:
Environment:
Last Closed: 2017-09-27 11:40:22 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-22 08:24:34 UTC
A Stack-based Buffer Overflow was discovered in xtrans_interpolate in internal/dcraw_common.cpp in LibRaw before 0.18.3. It could allow for a denial of service.

Upstream issue:

https://github.com/LibRaw/LibRaw/issues/99

Upstream patch:

https://github.com/LibRaw/LibRaw/commit/8303e74b0567806dd5f16fc39aab70fe928de1a2

Comment 1 Andrej Nemec 2017-09-22 08:25:50 UTC
Created LibRaw tracking bugs for this issue:

Affects: epel-6 [bug 1494406]


Created dcraw tracking bugs for this issue:

Affects: fedora-all [bug 1492123]


Created libkdcraw tracking bugs for this issue:

Affects: fedora-all [bug 1492126]

Comment 7 Dhiru Kholia 2017-09-27 11:39:41 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 8 Andrej Nemec 2017-10-09 09:13:39 UTC
Created mingw-LibRaw tracking bugs for this issue:

Affects: fedora-all [bug 1499690]


Note You need to log in before you can comment on or make changes to this bug.